Description

Hello QGIS community! This is my first post on here so my apologies for its roughness. I tried a search for "mailing labels" to see if a

feature request has already been requested and nothing showed up in the results, so I felt it would be okay to submit a new ticket.

A little background: I work for a small municipality and I noticed mailing label generation is the primary function of most of our city GIS

users. However QGIS doesn't have an easy way to do this. A stack-exchange search showed end users making custom scripts and

programs to handle parsing the data out and getting mailing labels generated (which isn't pretty, it's time consuming, and leaves human

error as a risk, most end users are planners/building inspectors/code enforcement/or other departments who do NOT have an IT

background).

Why this is important: Municipalities have to follow a lot of rules and procedures, among them are notifying residents 300 to 500 feet from

a construction project, paint, sealing, chemical fumes, parade routes, event parking permits, etc. Currently most cities have to rely on

commercial products to meet this need, its very expensive and smaller rural townships and municipalities struggle to make ends meet,

most staff wear multiple hats to get the jobs done. We need the help.

Objective: Basically its taking a property (or properties) usually selected by their Associated Parcel Number (APN), buffering to the

correct distance (dissolved if more than one parcel), selecting every parcel that is even barely in the buffer zone, and generating owner or

renter mailing information (generic "current resident" or something) that can be printed on basic Avery (or other brand) mailing labels.

So something like this is a bit of a challenge to make "user friendly", and I know it would probably take a tremendous amount of time and

dedication to implement a plugin or core feature into QGIS, and all I can do is ask very nicely if any volunteer would like to take this

project on. I know several towns and communities that will be singing your praises forever.

Thank you and all the best,

Keith

History

#1 - 2015-05-22 09:42 AM - Giovanni Manghi

- Status changed from Open to Feedback

my opinion is that this task would best fit a plugin rather than a core functionality (is a very specific requirement). You can ask a quote to one of the many

developers available, or maybe you are interested in training and learn how do it in house.

#2 - 2015-05-22 09:58 AM - Keith Kie

Giovanni Manghi wrote:

my opinion is that this task would best fit a plugin rather than a core functionality (is a very specific requirement). You can ask a quote to one of the

many developers available, or maybe you are interested in training and learn how do it in house.
Commercial software has this built-in, why is QGIS any different?

Cost is a serious issue, something I know my town cannot afford, thank you for your suggestion, but you basically just said "no we're not going to help you,

look elsewhere, and this isn't a feature request its feedback".

Am I taking this the wrong way?

#3 - 2015-05-22 10:16 AM - Giovanni Manghi

Am I taking this the wrong way?

yes :) but of course we are just discussing, I wasn't slamming the door.

Proprietary/commercial software companies have tons of money to invest also in very specific fancy tools, we don't. QGIS development is pretty much

depending on QGIS users necessities, and in many (most) cases they support this developments. Developing such tool does not seems a quick task, so

seems unlikely that someone will create it without the proper support. As said the request is very specific and does not fit really any of the "base" categories

of QGIS core, normally in this cases means that a plugin would be the be way to go.

#4 - 2015-05-22 10:24 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Target version set to Future Release - Nice to have

#5 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown

2025-05-17 2/2


